Show / Hide Table of Contents

# Class MessageApplication

##### Inheritance

System.Object
MessageApplication

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public class MessageApplication

### Properties

| Improve this Doc View Source

#### CoverImage

Gets the ID of the embed's image asset.

##### Declaration

    public string CoverImage { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Description

Gets the application's description.

##### Declaration

    public string Description { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Icon

Gets the ID of the application's icon.

##### Declaration

    public string Icon { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### IconUrl

Gets the Url of the application's icon.

##### Declaration

    public string IconUrl { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Id

Gets the snowflake ID of the application.

##### Declaration

    public ulong Id { get; }

##### Property Value

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### Name

Gets the name of the application.

##### Declaration

    public string Name { get; }

##### Property Value

Type | Description
--- | ---
System.String |

### Methods

| Improve this Doc View Source

#### ToString()

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
System.String |

##### Overrides

System.Object.ToString()